This queue is for tickets about the Method-Signatures CPAN distribution.

Report information
The Basics
Id:
119032
Status:
open
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
SREZIC [...] cpan.org
Cc:
ether [...] cpan.org
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
  • 20160315
  • 20160608.0051_002
Fixed in:
(no value)



CC: ether@cpan.org
Subject: Warnings with newest Any::Moose
If the newest Any::Moose is installed (0.27), then some usages of Method::Signatures cause warnings. An example script: #!perl { package MyTest; use Moose; use Method::Signatures; method mytest(Str $something) { } } MyTest->new->mytest("something"); __END__ The warning is: Any::Moose is deprecated. Please use Moo instead at /mnt/part3/slaven.rezic/.cpan/build/2016112915/Method-Signatures-20160608.0051_002-0/blib/lib/Method/Signatures.pm line 1293.
RT-Send-CC: ether@cpan.org
On 2016-11-29 10:33:17, SREZIC wrote:
Show quoted text
> If the newest Any::Moose is installed (0.27), then some usages of > Method::Signatures cause warnings. An example script: > > #!perl > > { > package MyTest; > use Moose; > use Method::Signatures; > > method mytest(Str $something) { } > } > > MyTest->new->mytest("something"); > > __END__ > > The warning is: > > Any::Moose is deprecated. Please use Moo instead at > /mnt/part3/slaven.rezic/.cpan/build/2016112915/Method-Signatures- > 20160608.0051_002-0/blib/lib/Method/Signatures.pm line 1293.
A workaround for now: https://github.com/evalEmpire/method-signatures/pull/129
https://rt.cpan.org/Ticket/Display.html?id=88716 really needs to be resolved -- there shouldn't be any outstanding compatibility issues preventing this from moving forward. If there are, please let us (any of the Moose or Type-Tiny folks, as relevant) know!


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.